Bug 805499 - depiction of metric baseline is difficult to see
depiction of metric baseline is difficult to see
Status: CLOSED UPSTREAM
Product: JBoss Operations Network
Classification: JBoss
Component: UI (Show other bugs)
JON 3.0.0
x86_64 Linux
medium Severity low
: ---
: JON 3.3.1
Assigned To: Mike Thompson
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-21 09:40 EDT by Rich Lucente
Modified: 2015-01-19 11:50 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-19 11:50:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Old Graph Showing Metric Baseline/ Operating Range (120.14 KB, image/jpeg)
2013-08-19 11:47 EDT, Mike Thompson
no flags Details
New Baselines (105.29 KB, image/jpeg)
2015-01-16 14:50 EST, Mike Thompson
no flags Details

  None (edit)
Description Rich Lucente 2012-03-21 09:40:58 EDT
Description of problem:

The metric chart depicts the normal operating range with green on the left hand side and the out of bounds ranges as red.  Red/Green are not distinguishable to all users.  Can we have a tick mark or some other visual indicator that's not color based?  This also moves us to 508 compliance.

Version-Release number of selected component (if applicable):

JON 3.0.0.GA

How reproducible:

Pull up a metric chart and view the operating range on the left hand side.
Comment 1 Mike Foley 2012-03-26 11:57:43 EDT
medium, no target release 

per bz triage (crouch, mfoley, asantos, loleary)
Comment 2 Heiko W. Rupp 2013-08-12 07:58:53 EDT
Mike can we take this into account with the graph revamp?
Comment 3 Mike Thompson 2013-08-13 10:09:38 EDT
(In reply to Heiko W. Rupp from comment #2)
> Mike can we take this into account with the graph revamp?

Will do.
Comment 4 Mike Thompson 2013-08-19 11:47:54 EDT
Created attachment 788134 [details]
Old Graph Showing Metric Baseline/ Operating Range
Comment 6 Mike Thompson 2015-01-16 14:49:29 EST
The baselines show up if Out of Bounds (OOB) data exists. The graphic depiction is a little bit different as the Baselines are now dashed lines in the chart, Orange for high and purple for low). The baselines can also be manually overridden in this screen.

See attached screenshot.
Comment 7 Mike Thompson 2015-01-16 14:50:08 EST
Created attachment 980916 [details]
New Baselines
Comment 9 Larry O'Leary 2015-01-19 11:50:12 EST
This issue was addressed in the metric graph re-implementation that was done upstream. See attachment 980916 [details] for how the new baselines are displayed.

Closing.

Note You need to log in before you can comment on or make changes to this bug.